Bug 2899 - relative path does not work for credentials in Security Descriptor
: relative path does not work for credentials in Security Descriptor
Status: VERIFIED FIXED
: Java WS Security
Authentication
: 3.9.5
: PC All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-03-08 04:40 by
Modified: 2005-04-21 07:52 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-08 04:40:51
If i specify relative path to a certificate and key file and start the
container
other than $GLOBUS_LOCATION it fails to find the certificate file.
Entry in $GLOBUS_LOCATION/etc/globus_wsrf_core/global_security_descriptor.xml
<credential>
   <key-file value="etc/grid-security/containerkey.pem"/>
   <cert-file value="etc/grid-security/containercert.pem"/>
</credential>
Error logs while starting container
-----------------------------------
Failed to start container: Failed to initialize 'ManagedJobFactoryService'
service [Caused by: [SEC] Service credentials not configured and was not able
to
obtain container credentials.; nested exception is:
        org.globus.wsrf.security.SecurityException: [SEC] Error obtaining
container credentials; nested exception is:
        org.globus.wsrf.config.ConfigException: Failed to initialize container
security config [Caused by:  [Caused by: Failed to load credentials. [Caused
by:
etc/grid-security/containercert.pem (No such file or directory)]]]]
This is similar to bugzilla 2367 (No relative path for grid-mapfile in Security
Descriptor)
------- Comment #1 From 2005-03-09 15:40:23 -------
Fix committed to trunk.
Rachana
------- Comment #2 From 2005-04-21 07:52:15 -------
Verified on GT3.9.5 and works as expected.